Skip to main content
GET
/
matters
/
{matterId}
/
documents
/
files
/
{fileId}
/
history
Get file history on a matter
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/history \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/history"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "id": "3f2b1f2a-1d5f-48a4-8f3c-7a7a3c2b5e1a",
      "type": "File",
      "changeType": "Move",
      "timestamp": "2025-08-27T04:12:45Z",
      "file": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "folder": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "oldName": "Draft Response",
      "newName": "Final Response",
      "oldMatterId": "f9e1a9d5-1d2b-4bd2-9a72-6a6e7b5c2f01",
      "newMatterId": "1c0b8a31-0a05-4601-8b87-2d7b1d0caa9a",
      "oldFolderId": "6a5c3b2e-0f1e-4c7e-90e2-2ad3c3e8b0b9",
      "newFolderId": "9b7a2c4d-2e1f-4b6a-8e01-1f2a3b4c5d6e",
      "copySourceFileId": "bb3a6c1d-1e2f-4a7b-9c01-0d9a8c7b6e5f",
      "copySourceFolderId": "aa2b5c1e-7f8a-4d9e-8c01-1a2b3c4d5e6f",
      "documentVersionId": "2d97e267-0618-4822-a515-281cd4f31ae8-72324ca30d263b32bb38a481cc5f7a0b",
      "userId": "<string>"
    }
  ]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
fileId
string
required

Response

When request is successful. Returns a collection of 'FileFolderLogEntry' objects.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
value
object[] | null